List employees

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

You must either provide a candidateId or a candidate object

To create an application, you can either provide a candidateId that pertains to an existing candidate in the ATS, or, alternatively, you can provide the candidate object with candidate details.

If you provide the candidateId, then the candidate object is not mandatory. However, if the candidateIdis not provided, then the candidate object is a required field. If both are provided, then it might lead to the ATS processing the request in an unpredictable manner. Therefore, it is best to provide only one of these, depending on your use case.

While providing the candidate object, please provide the firstName, lastName and at least one valid Email ID in the emails list and at least one valid phone number in the phones list.

Supported Apps

Here are the list of apps that support this API.

Greenhouse (greenhouse)

Supported Request Fields:

  • candidateId
  • candidate.firstName
  • candidate.lastName
  • candidate.phones[].type
  • candidate.phones[].phoneNumber
  • candidate.emails[].type
  • candidate.emails[].email
  • candidate.title
  • candidate.company
  • candidate.links[].platform
  • candidate.links[].link
  • candidate.tags[]
  • candidate.education[].degree
  • candidate.education[].institute
  • candidate.education[].fromDate
  • candidate.education[].toDate
  • candidate.education[].major
  • candidate.workAddress.addressLine1
  • candidate.workAddress.addressLine2
  • candidate.workAddress.city
  • candidate.workAddress.state
  • candidate.workAddress.country
  • candidate.workAddress.zipCode
  • candidate.permanentAddress.addressLine1
  • candidate.permanentAddress.addressLine2
  • candidate.permanentAddress.city
  • candidate.permanentAddress.state
  • candidate.permanentAddress.country
  • candidate.permanentAddress.zipCode
  • candidate.presentAddress.addressLine1
  • candidate.presentAddress.addressLine2
  • candidate.presentAddress.city
  • candidate.presentAddress.state
  • candidate.presentAddress.country
  • candidate.presentAddress.zipCode
  • jobId
  • initialStageId
  • metaData
  • attachment.fileName
  • attachment.fileContent
  • attachment.fileUrl
  • attachment.contentType
  • attachment.fileType
  • source

Supported Response Fields:

  • applicationId
  • jobId
  • candidateId

Remarks: None

Lever (lever)

Remarks:

  • lastName is not honored by lever API.
  • RESUME type is supported for attachment fileType.
Workday (workday-ats)

Remarks:

  • Fields Not Supported: answers, attachment, candidate.title, candidate.company, candidate.workAddress, and candidate.permanentAddress.
  • In metaData, countryCodeId field is required.
  • Either candidateId or candidate is required.
SAP SuccessFactors (successfactors-ats)

Remarks:

  • initialStageId is not honored by the app. Please pass any dummy string as initialStageId to create an application
  • Either candidateId or candidate is required.
  • If you are passing the candidate object, the candidate.presentAddress.country field is required.
  • Fields Not Supported: company, links, candidate.workAddress, and candidate.permanentAddress.
Oracle Cloud HCM (oracle-hcm-ats)
Workable (workable)

Remarks: Creating an application via candidateId is not supported. candidate object is required

SmartRecruiters (smartrecruiters-ats)
TeamTailor (teamTailor)
Breezy (breezy)

Remarks: Creating an application via candidateId is not supported. candidate object is required

Sage Recruitment (sage-ats)

Remarks: Creating an application via candidateId is not supported. candidate object is required

Bullhorn (bullhorn)
Ashby (ashby)

Supported Request Fields:

  • source
  • candidateId - one of candidate object or candidateId is required
  • candidate.firstName - Required , if candidateId is not provided
  • candidate.lastName
  • candidate.emails[].email - Array; only the first entry's email is set as primary and remaining is assigned as * alternate emails, emails[0].email is Required.
  • candidate.phones[].phoneNumber - Array; only the first entry's phoneNumber is honored.
  • candidate.presentAddress.city
  • candidate.presentAddress.state
  • candidate.presentAddress.country
  • candidate.links[].platform - One of LINKEDIN, GITHUB, WEBSITE and other platforms are ignored
  • candidate.links[].link
  • attachment.fileName
  • attachment.fileContent - Base64-encoded file content; if absent, fileUrl is required
  • attachment.fileUrl - Used to fetch file if fileContent is not provided; required if fileContent is absent
  • attachment.contentType
  • attachment.fileType - Only RESUME is handled; other types are silently ignored
  • metaData.application - JsonObject , application specific key value pairs, that are pass as it is to the native api.
  • metaData.candidate - JsonObject , candidate specific key value pairs, that are pass as it is to the native api.
  • metaData.attachment - JsonObject , attachment specific key value pairs, that are pass as it is to the native api.

Remarks: title, company, tags, education, workAddress, permanentAddress, initialStageId, jobId and education fields are not supported.

UKG Pro Recruiting (ukgpro-ats)

Remarks: initialStageId is not honored by the app. Please pass any dummy string. You need to pass additional fields inside metaData key for creating Application. Refer UKG Pro ATS

Keka ATS (keka-ats)

Supported Request Fields:

  • jobId - Required
  • candidate - Required
  • candidate.firstName - Required
  • candidate.lastName - Required
  • candidate.phones - Required
  • candidate.emails - Required

Additional Metadata:

  • legallyEligibleToWorkInCountry - Required
  • requireSponsorshipOrAuthorizationForEmploymentInCountry - Required

Supported Response Fields:

  • applicationId
  • candidateId
  • jobId

Remarks:

  • Creating an application via candidateId is not supported. initialStageId is not honored pass any dummy string in place of it.
  • The allowed values for legallyEligibleToWorkInCountry and requireSponsorshipOrAuthorizationForEmploymentInCountry are YES or NO.
Zoho Recruit (zoho-recruit)

Remarks: initialStageId is not honored, pass dummy string in place of it.

BambooHR ATS (bamboohr-ats)

Remarks:

  • Creating an application via candidateId is not supported. candidate object is required
  • initialStageId is not honored by the app. Please pass any dummy string as initialStageId to create an application
  • If attachment object is given, fileName is a required param, one of [fileUrl] or [fileContent and contentType] is required.

Supported Fields:

  • candidate.firstName - required
  • candidate.lastName - required
  • candidate.emails[0] - required
  • candidate.phones[0] - required
  • candidate.presentAddress
  • candidate.links - only when platform = 'LINKEDIN', 'WEBSITE'
  • candidate.education.degree - allowed values : 'GEDorEquivalent' 'HighSchool' 'SomeCollege' 'College-Associates' 'College-BachelorofArts' 'College-BachelorofFineArts' 'College-BachelorofScience' 'College-MasterofArts' 'College-MasterofFineArts' 'College-MasterofScience' 'College-MasterofBusinessAdministration' 'College-Doctorate' 'MedicalDoctor' 'Other'
  • candidate.education.institute
  • jobId
  • attachment.fileUrl
  • attachment.fileName
  • attachment.fileContent
  • attachment.contentType
  • attachment.fileType - One of RESUME, COVER_LETTER - defaults to RESUME
JazzHR ATS (jazzhr-ats)

Remarks: initialStageId is not honored by the app. Please pass any dummy string as initialStageId to create an application

Recruitee (recruitee)

Remarks:

  • initialStageId is not honored by the app. Please pass any dummy string as initialStageId to create an application.

  • Supported Fields: jobId, candidateId, candidate.emails, candidate.phones, candidate.firstName, candidate.lastName, candidate.links, attachment, and source.

Oracle Taleo (oracle-taleo)

Remarks: initialStageId is not honored by the app. Please pass any dummy string as initialStageId to create an application

iCIMS (icims)

Remarks:

  • metaData.candidateRoleId is a required field if candidateId is not provided. you can get list of ids using the passthrough request with method GET and path /v2/lists/lists.person.folders. The default value for this field will be D32007.
  • country inside address objects in candidate, expects country id as input, you can get the list of country ids using the passthrough request with method GET and path /v2/lists/lists.country.
Loxo (loxo)

Remarks:

  • Creating an application via candidateId is not supported. candidate object is required
  • initialStageId is not honored by the app. Please pass any dummy string
  • lastName is not honored pass dummy string and in firstname give fullname.
  • metaData should contain resume details as it is compulsory. Refer Create Loxo Application
Pinpoint (pinpoint)

Remarks: Creating an application via candidateId is not supported. candidate object is required.

  • Fields not supported: candidate.title, candidate.company, candidate.tags, and candidate.education.
PeopleStrong ATS (peoplestrong-ats)
Vincere (vincere)

Remarks: source is a required field if you are creating a application without candidateId. metaData.document_type_id is a required field if you are adding a attachment. For possible values of source and document_type_id refer passthrough requests.

DayForce ATS (dayforce-ats)

Remarks:

  • Creating an application via candidateId is not supported. candidate object is required
  • initialStageId is not honored by the app. Please pass any dummy string

Supported Fields:

  • candidate.firstName - required
  • candidate.lastName - required
  • candidate.emails - only the object at 0th index is honored.
  • candidate.phones - at max two are honored - one of type PERSONAL and any other type one.
  • candidate.presentAddress
  • jobId
  • candidate.education.degree
  • candidate.education.major
  • candidate.education.institute
  • candidate.education.fromDate
  • candidate.education.toDate
  • candidate.education.currentlyPursuing
  • attachment.fileName
  • attachment.fileContent
  • attachment.contentType
  • attachment.fileUrl - one of fileContent or fileUrl is required
  • answers.id
  • answers.answer
  • answers.multipleChoiceAnswers
JobAdder (jobadder)
HR Works ATS (hr-works-ats)

Remarks:

  • Creating an application via candidateId is not supported. candidate object is required
  • initialStageId is not honored by the app. Please pass any dummy string
JobDiva (jobdiva)

Remarks:

  • During candidate creation, only one work email and one personal/other email are supported.
  • The country field must be a 2-letter country code (e.g., IN, US).
  • Only one phone number per type (work, personal, and other) is supported during candidate creation.
Recruiterflow (recruiterflow)

Remarks:

  • initialStageId is not honored by the app. Please pass any dummy string

Supported Request Fields:

  • jobId - Required
  • candidateId
  • candidate.firstName
  • candidate.lastName
  • candidate.emails
  • candidate.emails.email
  • candidate.phones
  • candidate.phones.phoneNumber
  • candidate.links
  • candidate.links.platform
  • candidate.links.link
  • candidate.tags
  • candidate.presentAddress.addressLine1
  • candidate.presentAddress.addressLine2
  • candidate.presentAddress.city
  • candidate.presentAddress.state
  • candidate.presentAddress.country
  • candidate.presentAddress.zipCode
  • candidate.title
  • candidate.company
  • candidate.education
  • candidate.education.institute
  • candidate.education.degree
  • candidate.education.major
  • candidate.education.fromDate
  • candidate.education.toDate
  • source

Supported Response Fields:

  • applicationId
  • candidateId
  • jobId
Recruit CRM ATS (recruit-crm-ats)

Supported Request Fields:

  • jobId - Required
  • initialStageId - Can be a dummy string, if you don't specify valid stageId, default to stage APPLIED.
  • candidateId - One of candidateId or candidate object is required
  • candidate.firstName - Required if candidateId is not given
  • candidate.lastName
  • candidate.emails
  • candidate.emails.email- one at the 0th index is honored
  • candidate.phones
  • candidate.phones.phoneNumber - one at the 0th index is honored
  • candidate.links
  • candidate.links.platform - one of LINKEDIN, FACEBOOK, GITHUB, TWITTER, XING
  • candidate.links.link
  • candidate.title
  • candidate.company
  • candidate.presentAddress.addressLine1
  • candidate.presentAddress.addressLine2
  • candidate.presentAddress.city
  • candidate.presentAddress.state
  • candidate.presentAddress.country
  • candidate.presentAddress.zipCode
  • candidate.education
  • answers.question - expects questionId here
  • answers.answer
  • attachment.fileUrl

Supported Response Fields:

  • applicationId
  • candidateId
  • jobId
ERPNext ATS (erpnext-ats)

Query Params
string
Defaults to 2020-10-11T00:00:00Z

Fetch changes that were modified only after this time. The timestamp is in ISO format, i.e., yyyy-MM-dd'T'hh:mm:ss'Z'

string

Token to specify the next page to fetch details from

int32

Number of items to fetch

boolean
Defaults to false

If true, we will include origin API response in the return. Default value is false

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json